TV_GRAB_CH_SEARCH(1)

NAME
tv_grab_ch_search - Grab TV listings for Switzerland (from tv.search.ch webpage).

SYNOPSIS
tv_grab_ch_search --help

tv_grab_ch_search [--config-file FILE] --configure [--gui OPTION]

tv_grab_ch_search [--config-file FILE] [--output FILE] [--quiet]
           [--days N] [--offset N] [--slow]

tv_grab_ch_search --list-channels

tv_grab_ch_search --capabilities

tv_grab_ch_search --version

DESCRIPTION
Output TV listings for several channels available in Switzerland and (partly) central Europe. The data comes from tv.search.ch. The grabber relies on parsing HTML so it might stop working at any time.

First run tv_grab_ch_search --configure to choose, which channels you want to download. Then running tv_grab_ch_search with no arguments will output listings in XML format to standard output.

--configure Ask for each available channel whether to download and write the configuration file.

--config-file FILE Set the name of the configuration file, the default is ~/.xmltv/tv_grab_ch_search.conf. This is the file written by --configure and read when grabbing.

--gui OPTION Use this option to enable a graphical interface to be used. OPTION may be 'Tk', or left blank for the best available choice. Additional allowed values of OPTION are 'Term' for normal terminal output (default) and 'TermNoProgressBar' to disable the use of Term::ProgressBar.

--output FILE Write to FILE rather than standard output.

--days N Grab N days. The default is fourteen.

--offset N Start N days in the future. The default is to start from now on (= zero).

--quiet Suppress the progress messages normally written to standard error.

--slow enables long strategy run: tv.search.ch publishes only some (vital) information on the actual listing pages, the rest is shown in a separate popup window. If you'd like to parse the data from these popups as well, supply this flag. But consider that the grab process takes much longer when doing so, since many more web pages have to be retrieved.

--list-channels Write output giving <channel> elements for every channel available (ignoring the config file), but no programmes.

--capabilities Show which capabilities the grabber supports. For more information, see <http://membled.com/twiki/bin/view/Main/XmltvCapabilities>

--version Show the version of the grabber.

--help print a help message and exit.

SEE ALSO
xmltv(5).

AUTHOR
Daniel Bittel <daniel.bittel@solnet.ch>. Inspired by tv_grab_ch by Stefan Siegl.

BUGS
If you happen to find a bug, you're requested to send a mail to me at daniel.bittel@solnet.ch or to one of the XMLTV mailing lists, see webpages at http://sourceforge.net/projects/xmltv/.